View Issue Details

IDProjectCategoryView StatusLast Update
0004293Slicer4Core: Renderingpublic2018-05-26 22:23
ReporterkostenkoAssigned Tojcfr 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindows 10OSWindowsOS Version10
Product VersionSlicer 4.6.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004293: VTK GPU Ray Casting fails in SLicer 4.6.0. in Windows 10 with NVidia GTX960M (latest driver)
Description

[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Session start time .......: 2016-11-04 12:04:06
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Slicer version ...........: 4.6.0 (revision 25441) win-amd64 - installed
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Operating system .........: Windows / Professional / (Build 9200) - 64-bit
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Memory ...................: 16244 MB physical, 18676 MB virtual
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - CPU ......................: GenuineIntel , 8 cores, 16 logical processors
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Developer mode enabled ...: no
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Prefer executable CLI ....: no
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Additional module paths ..: C:/Users/kostenko/AppData/Roaming/NA-MIC/Extensions-25441/DebuggingTools/lib/Slicer-4.6/qt-scripted-modules, D:\Projects\Slicer\my_modules\lib, D:\Projects\Slicer\my_modules\FastrakProto0.3, D:\Projects\Slicer\TexturedMesh
[DEBUG][Qt] 04.11.2016 12:04:06 [] (unknown:0) - Number of registered modules: 141
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - Traceback (most recent call last):
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - File "<string>", line 1, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - File "D:/Projects/Slicer/my_modules/FastrakProto0.3/FastrakProto03.py", line 4, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - import vrpn
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - ImportError: No module named vrpn
[CRITICAL][Qt] 04.11.2016 12:04:07 [] (unknown:0) - loadSourceAsModule - Failed to load file "D:/Projects/Slicer/my_modules/FastrakProto0.3/FastrakProto03.py" as module "FastrakProto03" !
[CRITICAL][Qt] 04.11.2016 12:04:07 [] (unknown:0) - Fail to instantiate module "FastrakProto03"
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - Traceback (most recent call last):
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - File "<string>", line 1, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - File "D:/Projects/Slicer/my_modules/lib/MuseumObject.py", line 35
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - self.default_path = {'ct':'D:\Projects\Slicer\data\',
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - ^
[CRITICAL][Stream] 04.11.2016 12:04:07 [] (unknown:0) - SyntaxError: EOL while scanning string literal
[CRITICAL][Qt] 04.11.2016 12:04:07 [] (unknown:0) - loadSourceAsModule - Failed to load file "D:/Projects/Slicer/my_modules/lib/MuseumObject.py" as module "MuseumObject" !
[CRITICAL][Qt] 04.11.2016 12:04:07 [] (unknown:0) - Fail to instantiate module "MuseumObject"
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - Traceback (most recent call last):
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - File "<string>", line 1, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - File "D:/Projects/Slicer/my_modules/lib/VRPNFastrak.py", line 2, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - import vrpn
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - ImportError: No module named vrpn
[CRITICAL][Qt] 04.11.2016 12:04:08 [] (unknown:0) - loadSourceAsModule - Failed to load file "D:/Projects/Slicer/my_modules/lib/VRPNFastrak.py" as module "VRPNFastrak" !
[CRITICAL][Qt] 04.11.2016 12:04:08 [] (unknown:0) - Fail to instantiate module "VRPNFastrak"
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - Traceback (most recent call last):
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - File "<string>", line 1, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - File "D:/Projects/Slicer/my_modules/lib/VRPNWidget.py", line 2, in <module>
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - import vrpn
[CRITICAL][Stream] 04.11.2016 12:04:08 [] (unknown:0) - ImportError: No module named vrpn
[CRITICAL][Qt] 04.11.2016 12:04:08 [] (unknown:0) - loadSourceAsModule - Failed to load file "D:/Projects/Slicer/my_modules/lib/VRPNWidget.py" as module "VRPNWidget" !
[CRITICAL][Qt] 04.11.2016 12:04:08 [] (unknown:0) - Fail to instantiate module "VRPNWidget"
[DEBUG][Qt] 04.11.2016 12:04:08 [] (unknown:0) - Number of instantiated modules: 137
[WARNING][Qt] 04.11.2016 12:04:08 [] (unknown:0) - When loading module "CLIEventTest" , the dependency "CLI4Test" failed to be loaded.
[INFO][Stream] 04.11.2016 12:04:08 [] (unknown:0) - Initializing terminology mapping for map file C:/Program Files/Slicer 4.6.0/share/Slicer-4.6/ColorFiles/Terminology//GenericAnatomyColors-SNOMED.csv
[INFO][Stream] 04.11.2016 12:04:08 [] (unknown:0) - 288 terms were read for Slicer LUT GenericAnatomyColors
[WARNING][Qt] 04.11.2016 12:04:09 [] (unknown:0) - When loading module "TwoCLIsInARowTest" , the dependency "CLI4Test" failed to be loaded.
[WARNING][Qt] 04.11.2016 12:04:09 [] (unknown:0) - When loading module "TwoCLIsInParallelTest" , the dependency "CLI4Test" failed to be loaded.
[DEBUG][Qt] 04.11.2016 12:04:09 [] (unknown:0) - Number of loaded modules: 134
[DEBUG][Qt] 04.11.2016 12:04:09 [] (unknown:0) - Switch to module: "Welcome"
[INFO][Python] 04.11.2016 12:04:12 [Python] (C:\Program Files\Slicer 4.6.0\bin\Python\slicer\util.py:718) - DICOM Database will be stored in

C:\Users\kostenko\Documents/SlicerDICOMDatabase

Use the Local Database button in the DICOM Browser to pick a different location.
[DEBUG][Qt] 04.11.2016 12:04:12 [] (unknown:0) - Switch to module: "DICOM"
[INFO][Stream] 04.11.2016 12:04:12 [] (unknown:0) - DICOM Database will be stored in
[INFO][Stream] 04.11.2016 12:04:12 [] (unknown:0) -
[INFO][Stream] 04.11.2016 12:04:12 [] (unknown:0) - C:\Users\kostenko\Documents/SlicerDICOMDatabase
[INFO][Stream] 04.11.2016 12:04:12 [] (unknown:0) -
[INFO][Stream] 04.11.2016 12:04:12 [] (unknown:0) - Use the Local Database button in the DICOM Browser to pick a different location.
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - " DROP TABLE IF EXISTS 'SchemaInfo' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP TABLE IF EXISTS 'Images' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP TABLE IF EXISTS 'Patients' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP TABLE IF EXISTS 'Series' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP TABLE IF EXISTS 'Studies' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP TABLE IF EXISTS 'Directories' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - " DROP INDEX IF EXISTS 'ImagesFilenameIndex' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP INDEX IF EXISTS 'ImagesSeriesIndex' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP INDEX IF EXISTS 'SeriesStudyIndex' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "DROP INDEX IF EXISTS 'StudiesPatientIndex' ;"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - " CREATE TABLE 'SchemaInfo' ( 'Version' VARCHAR(1024) NOT NULL );"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "INSERT INTO 'SchemaInfo' VALUES('0.5.3');"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - " CREATE TABLE 'Images' ( 'SOPInstanceUID' VARCHAR(64) NOT NULL, 'Filename' VARCHAR(1024) NOT NULL , 'SeriesInstanceUID' VARCHAR(64) NOT NULL , 'InsertTimestamp' VARCHAR(20) NOT NULL , PRIMARY KEY ('SOPInstanceUID') );"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "CREATE TABLE 'Patients' ( 'UID' INTEGER PRIMARY KEY AUTOINCREMENT, 'PatientsName' VARCHAR(255) NULL , 'PatientID' VARCHAR(255) NULL , 'PatientsBirthDate' DATE NULL , 'PatientsBirthTime' TIME NULL , 'PatientsSex' varchar(1) NULL , 'PatientsAge' varchar(10) NULL , 'PatientsComments' VARCHAR(255) NULL );"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "CREATE TABLE 'Series' ( 'SeriesInstanceUID' VARCHAR(64) NOT NULL , 'StudyInstanceUID' VARCHAR(64) NOT NULL , 'SeriesNumber' INT NULL , 'SeriesDate' DATE NULL , 'SeriesTime' VARCHAR(20) NULL , 'SeriesDescription' VARCHAR(255) NULL , 'Modality' VARCHAR(20) NULL , 'BodyPartExamined' VARCHAR(255) NULL , 'FrameOfReferenceUID' VARCHAR(64) NULL , 'AcquisitionNumber' INT NULL , 'ContrastAgent' VARCHAR(255) NULL , 'ScanningSequence' VARCHAR(45) NULL , 'EchoNumber' INT NULL , 'TemporalPosition' INT NULL , PRIMARY KEY ('SeriesInstanceUID') );"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "CREATE TABLE 'Studies' ( 'StudyInstanceUID' VARCHAR(64) NOT NULL , 'PatientsUID' INT NOT NULL , 'StudyID' VARCHAR(255) NULL , 'StudyDate' DATE NULL , 'StudyTime' VARCHAR(20) NULL , 'AccessionNumber' VARCHAR(255) NULL , 'ModalitiesInStudy' VARCHAR(255) NULL , 'InstitutionName' VARCHAR(255) NULL , 'ReferringPhysician' VARCHAR(255) NULL , 'PerformingPhysiciansName' VARCHAR(255) NULL , 'StudyDescription' VARCHAR(255) NULL , PRIMARY KEY ('StudyInstanceUID') );"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - " CREATE UNIQUE INDEX IF NOT EXISTS 'ImagesFilenameIndex' ON 'Images' ('Filename');"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "CREATE INDEX IF NOT EXISTS 'ImagesSeriesIndex' ON 'Images' ('SeriesInstanceUID');"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "CREATE INDEX IF NOT EXISTS 'SeriesStudyIndex' ON 'Series' ('StudyInstanceUID');"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - "CREATE INDEX IF NOT EXISTS 'StudiesPatientIndex' ON 'Studies' ('PatientsUID');"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - " CREATE TABLE 'Directories' ( 'Dirname' VARCHAR(1024) , PRIMARY KEY ('Dirname') );"
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - SQL failed
Bad SQL: SELECT FROM TagCache LIMIT 1
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - Error text: No query Unable to fetch row
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - TagCacheDatabase NOT verified based on table check!
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - SQL failed
Bad SQL: SELECT
FROM TagCache LIMIT 1
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - Error text: No query Unable to fetch row
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - TagCacheDatabase NOT verified based on table check!
[DEBUG][Qt] 04.11.2016 12:04:14 [] (unknown:0) - TagCacheDatabase adding table
[INFO][VTK] 04.11.2016 12:04:26 [vtkMRMLVolumeArchetypeStorageNode (000001D3643A3290)] (C:\D\P\Slicer-460\Libs\MRML\Core\vtkMRMLVolumeArchetypeStorageNode.cxx:456) - Loaded volume from file: D:/Projects/Slicer/data/ceramic_head/head_bin_8.nrrd. Dimensions: 502x512x508. Number of components: 1. Pixel type: unsigned short.
[DEBUG][Qt] 04.11.2016 12:04:26 [] (unknown:0) - "Volume" Reader has successfully read the file "D:/Projects/Slicer/data/ceramic_head/head_bin_8.nrrd" "[2.75s]"
[DEBUG][Qt] 04.11.2016 12:04:36 [] (unknown:0) - Switch to module: "VolumeRendering"
[WARNING][VTK] 04.11.2016 12:04:36 [vtkObserverManager (000001D359107900)] (C:\D\P\Slicer-460\Libs\MRML\Core\vtkObserverManager.cxx:131) - The same object is already observed with the same priority. The observation is kept as is.
[ERROR][VTK] 04.11.2016 12:04:37 [vtkOpenGLExtensionManager (000001D35872CD40)] (C:\D\P\Slicer-460-package\VTKv7\Rendering\OpenGL\vtkOpenGLExtensionManager.cxx:745) - Extension GL_VERSION_1_2 could not be loaded.
[WARNING][Qt] 04.11.2016 12:04:37 [] (unknown:0) - ctkDoubleSlider::setSingleStep( 1000 ) is outside of valid bounds.
[WARNING][VTK] 04.11.2016 12:04:37 [vtkObserverManager (000001D359107900)] (C:\D\P\Slicer-460\Libs\MRML\Core\vtkObserverManager.cxx:131) - The same object is already observed with the same priority. The observation is kept as is.

Steps To Reproduce

Volume not visualized (only boundaries of ROI) when GPU casting option is used.
Similar to: https://www.na-mic.org/Bug/view.php?id=3957

TagsNo tags attached.

Activities

lassoan

lassoan

2017-07-25 23:11

developer   ~0014988

Re-evaluate after Slicer is updated to VTK8.

lassoan

lassoan

2018-05-26 22:23

developer   ~0015745

This should work well in Slicer-4.9, since it uses more modern OpenGL APIs.

Issue History

Date Modified Username Field Change
2016-11-04 07:23 kostenko New Issue
2016-11-04 07:23 kostenko Status new => assigned
2016-11-04 07:23 kostenko Assigned To => jcfr
2017-07-25 23:11 lassoan Target Version => Slicer 4.9.0
2017-07-25 23:11 lassoan Note Added: 0014988
2018-05-26 22:23 lassoan Status assigned => resolved
2018-05-26 22:23 lassoan Resolution open => fixed
2018-05-26 22:23 lassoan Fixed in Version => Slicer 4.9.0
2018-05-26 22:23 lassoan Note Added: 0015745